<?php
/*Custom Slider*/
add_shortcode('andaman_custom_slider', 'andaman_custom_slider_f');
function andaman_custom_slider_f( $atts, $content = null)
{
	extract(shortcode_atts(
		array(
			'andaman_id' => 'your_id',
			'andaman_slider_dots' =>'Show',
			'andaman_slider_nav' =>'Hide',
			'andaman_descr' => "Show",
			'andaman_autoplay' =>'Yes',
			'andaman_center' =>'Yes',
			'andaman_margin' =>'0',
			'andaman_time' =>'5000',
			'andaman_items_1400' =>'1',
			'andaman_items_m_1400' =>'0',
			'andaman_items_1200' =>'1',
			'andaman_items_m_1200' =>'0',
			'andaman_items_800' =>'1',
			'andaman_items_m_800' =>'0',
			'andaman_items_600' =>'1',
			'andaman_items_m_600' =>'0',
			'andaman_items_0' =>'1',
			'andaman_items_m_0' =>'0',
			'wow' => null,
			'wow_delay' => '0.1',
			'wow_animate' => 'fadeIn',
			'css_class' => 'margin: 0;',
		), $atts)
	);



	if ($wow) $wow = 'wow';

	$output ='';
	$andaman_dots_code ='true';

	if($andaman_slider_dots =="Show"){
		$andaman_dots_code ='true';
	} else {
		$andaman_dots_code ='false';
	}

	$andaman_nav_code ='false';

	if($andaman_slider_nav =="Hide"){
		$andaman_nav_code ='false';
	} else {
		$andaman_nav_code ='true';
	}


	$andaman_autoplay_code ='true';

	if($andaman_autoplay =="Yes"){
		$andaman_autoplay_code ='true';
	} else {
		$andaman_autoplay_code ='false';
	}


	$andaman_center_code ='true';

	if($andaman_center =="Yes"){
		$andaman_center_code ='true';
	} else {
		$andaman_center_code ='false';
	}


	$andaman_nav_arrows='"<i class=\"fas fa-angle-left\"></i>", "<i class=\"fas fa-angle-right\"></i>"';


	$extra_class='';
	if($andaman_descr == 'None'){$extra_class ='do_not_show_hover';}

	
	$output .='<div class="'.esc_attr($wow).' '. esc_attr($wow_animate) .'" data-wow-delay="'. esc_attr($wow_delay) .'s"><div style="'. esc_attr($css_class).'" class="owl-carousel '.$extra_class.'" id="'.$andaman_id.'">'.do_shortcode($content).'</div></div>';


	$output .='<script>
jQuery(window).load(function(){
		jQuery("#'.$andaman_id.'").owlCarousel({
			loop:true,
			nav:'.$andaman_nav_code.',
			autoplay:'.$andaman_autoplay_code.',
			margin:'.$andaman_margin.',
			dots:'.$andaman_dots_code.',
			center: '.$andaman_center_code.',
			autoHeight: true,
			animateIn: "fadeIn",
			animateOut: "fadeOut",
			autoplayTimeout:'.$andaman_time.',
            navText: ['.$andaman_nav_arrows.'],
            autoplaySpeed: 1000,
			responsive: {
				0: {
					margin: '.$andaman_items_m_0.',
					items: '.$andaman_items_0.'
				},
				600: {
					margin: '.$andaman_items_m_600.',
					items: '.$andaman_items_600.'
				},
				800: {
					margin: '.$andaman_items_m_800.',
					items: '.$andaman_items_800.'
				},
				1200: {
					margin: '.$andaman_items_m_1200.',
					items: '.$andaman_items_1200.'
				},
				1400: {
					margin: '.$andaman_items_m_1400.',
					items: '.$andaman_items_1400.'
				}
			}
		});
		});
	</script>';

	return $output;
};

/*Custom Slider*/
vc_map( array(
    "name" => __("Custom Slider", 'wp-andaman'),
    "base" => "andaman_custom_slider",
	"category" => __('Andaman','wp-andaman'),
    "as_parent" => array('only' => 'vc_testimonial_item, vc_portfolio_item, vc_image_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_element" => true,
    "show_settings_on_create" => true,
    "params" => array(
		array(
			"type" => "textfield",
			"param_name" => "andaman_id",
			"group" => "General",
			"heading" => __("Slider ID", 'wp-andaman'),
			"value" => 'your_id',
			"description" => __( "Please set slider ID", 'wp-andaman' ),
			"admin_label" => true,
		),
		array(
			'type' => 'dropdown',
			'heading' => "Autoplay",
			'param_name' => 'andaman_autoplay',
			"group" => "General",
			'value' => array( "Yes", "No"),
			'std' => 'Yes',
			"admin_label" => true,
		),
		array(
			'type' => 'dropdown',
			'heading' => "Center",
			'param_name' => 'andaman_center',
			"group" => "General",
			'value' => array( "Yes", "No"),
			'std' => 'Yes',
			"admin_label" => true,
		),
		array(
			"type" => "textfield",
			"param_name" => "andaman_time",
			"group" => "General",
			"heading" => __("Autoplay Timeout", 'wp-andaman'),
			"value" => '5000',
			"admin_label" => true,
		),

		array(
			'type' => 'dropdown',
			'heading' => "Navigation Dots",
			'param_name' => 'andaman_slider_dots',
			"group" => "General",
			'value' => array( "Show", "Hide"),
			'std' => 'Show',
			"admin_label" => true,
		),

		array(
			'type' => 'dropdown',
			'heading' => "Navigation Nav",
			'param_name' => 'andaman_slider_nav',
			"group" => "General",
			'value' => array( "Show", "Hide"),
			'std' => 'Hide',
			"admin_label" => true,
		),

		array(
			"type" => "textfield",
			"param_name" => "andaman_margin",
			"group" => "General",
			"heading" => __("Space Between Slide", 'wp-andaman'),
			"description" => __( "only one number. Ex: 10.", 'wp-andaman' ),
			"value" => '0',
			"admin_label" => true,
		),
		array(
			"type" => "textfield",
			"param_name" => "css_class",
			"group" => "General",
			"heading" => __("Margin", 'wp-andaman'),
			"value" => 'margin: 0px',
		),
		array(
			"type" => "textfield",
			"group" => "Responsive",
			"param_name" => "andaman_items_1400",
			"heading" => __("Items per row for 1400px wide screen", 'wp-andaman'),
			"value" => '1',
			"description" => __( "For big desktops", 'wp-andaman' )
		),
		array(
			"type" => "textfield",
			"group" => "Responsive",
			"param_name" => "andaman_items_m_1400",
			"heading" => __("Space between for items 1400px wide screen", 'wp-andaman'),
			"value" => '0',
			"description" => __( "For big desktops", 'wp-andaman' )
		),
		
		array(
			"type" => "textfield",
			"group" => "Responsive",
			"param_name" => "andaman_items_1200",
			"heading" => __("Items per row for 1200px wide screen", 'wp-andaman'),
			"value" => '1',
			"description" => __( "For standard desktops", 'wp-andaman' )
		),
		array(
			"type" => "textfield",
			"group" => "Responsive",
			"param_name" => "andaman_items_m_1200",
			"heading" => __("Space between for items 1200px wide screen", 'wp-andaman'),
			"value" => '0',
			"description" => __( "For standard desktops", 'wp-andaman' )
		),
		
		array(
			"type" => "textfield",
			"group" => "Responsive",
			"param_name" => "andaman_items_800",
			"heading" => __("Items per row for 800px wide screen", 'wp-andaman'),
			"value" => '1',
			"description" => __( "For landscape tablet view", 'wp-andaman' )
		),
		array(
			"type" => "textfield",
			"group" => "Responsive",
			"param_name" => "andaman_items_m_800",
			"heading" => __("Space between items for 800px wide screen", 'wp-andaman'),
			"value" => '0',
			"description" => __( "For landscape tablet view", 'wp-andaman' )
		),
		
		array(
			"type" => "textfield",
			"group" => "Responsive",
			"param_name" => "andaman_items_600",
			"heading" => __("Items per row for 600px wide screen", 'wp-andaman'),
			"value" => '1',
			"description" => __( "For portrait tablet view", 'wp-andaman' )
		),
		array(
			"type" => "textfield",
			"group" => "Responsive",
			"param_name" => "andaman_items_m_600",
			"heading" => __("Space between items for 600px wide screen", 'wp-andaman'),
			"value" => '0',
			"description" => __( "For portrait tablet view", 'wp-andaman' )
		),
		
		array(
			"type" => "textfield",
			"group" => "Responsive",
			"param_name" => "andaman_items_0",
			"heading" => __("Items per row for mobile", 'wp-andaman'),
			"value" => '1',
			"description" => __( "For mobile", 'wp-andaman' )
		),
		array(
			"type" => "textfield",
			"group" => "Responsive",
			"param_name" => "andaman_items_m_0",
			"heading" => __("Space between items for mobile", 'wp-andaman'),
			"value" => '0',
			"description" => __( "For mobile", 'wp-andaman' )
		),
		array(
			"type" => "checkbox",
			"holder" => "div",
			"class" => "",
			"heading" => __("Animate", 'wp-andaman'),
			"param_name" => "wow",
			"value" => array("Yes" => true),
            "group" => __("Animate", 'wp-andaman'),
		),
		array(
			"type" => "textfield",
			"heading" => __("Delay", 'wp-andaman'),
			"param_name" => "wow_delay",
			"value" => '100',
			"description" => 'in s',
            "group" => __("Animate", 'wp-andaman'),
    		"dependency" => array(
        		"element" => "wow",
        		"value" => "1"
    		),
		),
	    array(
	        'type' => 'dropdown',
	        'heading' => __( 'Animate', 'wp-andaman' ),
	        'param_name' => 'wow_animate',
	        'value' => array(
	            __( 'fadeIn', 'wp-andaman' ) => 'fadeIn',
	            __( 'slideInUp', 'wp-andaman' ) => 'slideInUp',
	            __( 'zoomIn', 'wp-andaman' ) => 'zoomIn',
	        ),
			'std' => 'fadeIn',
            "group" => __("Animate", 'wp-andaman'),
    		"dependency" => array(
        		"element" => "wow",
        		"value" => "1"
    		),
	    ),
    ),
    "js_view" => 'VcColumnView',
) );






