<?php 
add_shortcode('andaman_hero_video', 'andaman_hero_video_f');
function andaman_hero_video_f( $atts, $content = null)
{
    extract(shortcode_atts(
        array(
            'video_source' => 'YouTube',
            'andaman_image' => null,
            'andaman_video' => "https://www.youtube.com/watch?v=IbWOQWw1wkM",
            'andaman_video_vimeo' => "https://vimeo.com/199167955",
            'andaman_video_start' => "45",
            'andaman_video_end' => "100",
            'andaman_video_quality' => "default",
            'andaman_video_ratio' => "auto",
            "css" => null
        ), $atts)
    );

    $image = wp_get_attachment_image_src($andaman_image, true);
    $image = $image[0];

    $output ='<div style="background-image:url('. esc_url($image) .')" class="intro">';
    $output .='<div class="intro-body">';
        $output .='<div class="container">';
            $output .='<div class="row">';
                $output .='<div class="col-md-12">'.do_shortcode($content).'</div>';
            $output .='</div>';
        $output .='</div>';
        $output .='</div>';
    $output .='</div>';

    if($video_source =="YouTube"){
        $output .='<a id="bgndVideo" data-property="{videoURL:\''. esc_url($andaman_video) .'\', containment:\'.intro\', autoPlay:true, loop:true, mute:true, useOnMobile:true, startAt:'. esc_attr($andaman_video_start) .', stopAt: '. esc_attr($andaman_video_end) .', ratio:\''. esc_attr($andaman_video_ratio) .'\', optimizeDisplay:true, quality:\''. esc_attr($andaman_video_quality) .'\', opacity:1, showControls: false, showYTLogo:false}" class="player"></a>';
    } else {
         $output .='<a id="bgndVideo_vimeo" data-property="{videoURL:\''. esc_url($andaman_video_vimeo) .'\', containment:\'.intro\', autoPlay:true, loop:true, mute:true, startAt:'. esc_attr($andaman_video_start) .', stopAt: '. esc_attr($andaman_video_end) .', ratio:\''. esc_attr($andaman_video_ratio) .'\', optimizeDisplay:true, realfullscreen: true, quality:\''. esc_attr($andaman_video_quality) .'\', opacity:1, showControls: false, showYTLogo:false}" class="player"></a>';
    };


    $output .='<script>
        jQuery.noConflict()(function($){
        "use strict";';

        if($video_source =="YouTube"){
            $output .='$("#bgndVideo").YTPlayer();';
        } else {
            $output .='$("#bgndVideo_vimeo").vimeo_player();';
        };

    $output .='});</script>';

    return $output;
};


vc_map( array(
    "name" => __("Hero Video", 'andaman'),
    "base" => "andaman_hero_video",
    "category" => __('Headers', 'andaman'),
    "as_parent" => array('only' => 'vc_title_slider, vc_sub_title_slider, vc_mouse_slider, vc_image_slider, vc_rotate_title, vc_button_slider, vc_text_slider, vc_mailchimp_slider, vc_comingsoom_slider'),
    "content_element" => true,
    "show_settings_on_create" => true,
    "params" => array(
        array(
            "type" => "attach_image",
            "param_name" => "andaman_image",
            "heading" => __("Cover", 'andaman'),
        ),  
        array(
            "type" => "dropdown",
            "admin_label" => true,
            "heading" => __("Video Source", 'andaman'),
            "param_name" => "video_source",
            'value' => array(
                __( 'YouTube', 'andaman' ) => 'youtube',
                __( 'Vimeo', 'andaman' ) => 'vimeo',
            ),
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_video",
            "heading" => __("Video Link", 'andaman'),
            "value" => "https://www.youtube.com/watch?v=IbWOQWw1wkM", 
            "admin_label" => true,
            "dependency" => array(
                "element" => "video_source",
                "value" => "youtube"
            ),
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_video_vimeo",
            "heading" => __("Video Link", 'andaman'),
            "value" => "https://vimeo.com/199167955", 
            "admin_label" => true,
            "dependency" => array(
                "element" => "video_source",
                "value" => "vimeo"
            ),
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_video_start",
            "heading" => __("Video Start From", 'andaman'),
            "descriptions" => __("in sec", 'andaman'),
            "value" => "45", 
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_video_end",
            "heading" => __("Video End From", 'andaman'),
            "descriptions" => __("in sec", 'andaman'),
            "value" => "100", 
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_video_quality",
            "heading" => __("Quality", 'andaman'),
            "description" => __("default or small, medium, large, hd720, hd1080, highres", 'andaman'),
            "value" => "default", 
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_video_ratio",
            "heading" => __("Ratio", 'andaman'),
            "description" => __("4/3, 16/9 or auto", 'andaman'),
            "value" => "auto", 
            "admin_label" => true,
        ),
    ),
    "js_view" => 'VcColumnView',
) );