<?php

     $fields[] = array(
        'type'        => 'select',
        'settings'    => 'andaman_post_type',
        'label'       => __( 'Post Style', 'andaman' ),
        'section'     => 'andaman_content',
        'default'     => 'classic',
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => array(
            'classic' => esc_attr__( 'Classic', 'andaman' ),
            'medium' => esc_attr__( 'Medium', 'andaman' ),
            'masonry' => esc_attr__( 'Masonry', 'andaman' ),
            'chess' => esc_attr__( 'Chess', 'andaman' ),
        ),
    );

    $fields[] = array(
        'type'        => 'toggle',
        'settings'     => 'andaman_post_height_toggle',
        'label'       => __( 'Custom Image Height', 'andaman' ),
        'section'     => 'andaman_content',
        'default'     => 'off',
        'choices'     => array(
            'on'  => esc_attr__( 'On', 'andaman' ),
            'off' => esc_attr__( 'Off', 'andaman' ),
        ),
        'priority'    => 10,
    );


    $fields[] = array(
        'type'        => 'text',
        'settings'    => 'andaman_post_height',
        'section'     => 'andaman_content',
        'description' => __( 'Set your own height of image in px (ex: height: 500px;)', 'andaman' ),
        'default'     => '',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_post_height_toggle',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );


     $fields[] = array(
        'type'         => 'multicheck',
        'label'       => __( 'Social Media', 'andaman' ),
        'settings'     => 'andaman_soc_link',
        'description' => __( 'Choose your social media in single post', 'andaman' ),
        'section'      => 'andaman_content',
        'priority'     => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_social_link',
                'operator' => '==',
                'value'    => 'on',
            ),
        ),
        'choices'      => array(
            'facebook' => esc_attr__( 'Facebook', 'andaman' ),
            'twitter'   => esc_attr__( 'Twitter', 'andaman' ),
            'pinterest'    => esc_attr__( 'Pinterest', 'andaman' ),
            'tumblr'     => esc_attr__( 'Tumblr', 'andaman' ),
            'google'      => esc_attr__( 'Google Plus', 'andaman' ),
            'linkedin'     => esc_attr__( 'LinkedIn', 'andaman' ),
        )
    );


     $fields[] = array(
        'type'        => 'radio-image',
        'settings'    => 'andaman_sidebars',
        'label'       => esc_html__( 'Sidebar Position', 'andaman' ),
        'description' => __( 'Sidebars within site, except single post.', 'andaman' ),
        'section'     => 'andaman_content',
        'default'     => 'sidebar-right',
        'priority'    => 10,
        'choices'     => array(
            'sidebar-left' => get_template_directory_uri() . '/assets/images/2cl.jpg',
            'sidebar-no'  => get_template_directory_uri() . '/assets/images/1c.jpg',
            'sidebar-right'  => get_template_directory_uri() . '/assets/images/2cr.jpg',
        ),
);
     $fields[] = array(
        'type'        => 'radio-image',
        'settings'    => 'andaman_single_sidebars',
        'label'       => esc_html__( 'Single Sidebar Position', 'andaman' ),
        'description' => __( 'Sidebars in single post.', 'andaman' ),
        'section'     => 'andaman_content',
        'default'     => 'sidebar-right',
        'priority'    => 10,
        'choices'     => array(
            'sidebar-left' => get_template_directory_uri() . '/assets/images/2cl.jpg',
            'sidebar-no'  => get_template_directory_uri() . '/assets/images/1c.jpg',
            'sidebar-right'  => get_template_directory_uri() . '/assets/images/2cr.jpg',
        ),

);

          $fields[] = array(
        'type'        => 'text',
        'settings'    => 'andaman_single_blog',
        'label'       => __( 'Link To Blog', 'andaman' ),
        'description'       => __( 'Set your link to blogroll page', 'andaman' ),
        'section'     => 'andaman_content',
        'default'     => home_url('/blog'),
        'priority'    => 10,
);

?>