<?php


    $fields[] = array(
        'type'        => 'color',
        'settings'    => 'header_color_image',
        'label'       => __( 'Header Overlay', 'andaman' ),
        'description' => esc_attr__( 'You can control color of overlay top image.', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => 'rgba(0,0,0,0.65)',
        'choices'     => array(
            'alpha' => true,
        )
    );

    $fields[] = array(
        'type'        => 'color',
        'settings'    => 'header_color_image_title',
        'description' => esc_attr__( 'Also, you can change color of text inside image.', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'        => '#ffffff',
        'active_callback'  => array(
            array(
                'setting'  => 'header_color_image',
                'operator' => '!==',
                'value'    => '',
            ),
        ),
    );
    
     $fields[] = array(
        'type'        => 'image',
        'settings'     => 'andaman_logo_upload',
        'description' => __( 'Add logo', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => get_template_directory_uri() . '/assets/images/logo.png',
        'priority'    => 10,
    ); 

    $fields[] = array(
        'type'        => 'text',
        'settings'    => 'andaman_logo_height',
        'label'       => __( 'Logo Height', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => '45px',
        'priority'    => 10,
    );

     $fields[] = array(
        'type'        => 'image',
        'settings'     => 'andaman_logo_favicon',
        'label'       => __( 'Favicon', 'andaman'),
        'description' => __( 'Image 144x144 in png', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => get_template_directory_uri() . '/assets/images/favicon.png',
        'priority'    => 10,
    );
    
    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'andaman_menu_style',
        'label'       => __( 'Menu Style', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => 'style1',
        'priority'    => 10,
        'choices'     => array(
            'style1'  => esc_attr__( 'Modern', 'andaman' ),
            'style2' => esc_attr__( 'Classic', 'andaman' ),
        ),
    );

    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'andaman_menu_select',
        'label'       => __( 'Type of menu', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => 'standard',
        'priority'    => 10,
        'choices'     => array(
            'standard'   => esc_attr__( 'Standard', 'andaman' ),
            'onepage'   => esc_attr__( 'Onepage', 'andaman' )
        ),
    );

    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'andaman_top_contact',
        'label'       => __( 'Top Contacts', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => false,
        'priority'    => 10,
        'choices'     => array(
            'on'  => esc_attr__( 'Enable', 'andaman' ),
            'off' => esc_attr__( 'Disable', 'andaman' ),
        ),
    );
    
    $fields[] = array(
        'type'        => 'text',
        'settings'    => 'andaman_top_contact_address',
        'label'       => __( 'Address', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => '455 Martinson, Los Angeles',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_top_contact',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );

    $fields[] = array(
        'type'        => 'text',
        'settings'    => 'andaman_top_contact_phone',
        'label'       => __( 'Phone', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => '+1 (043) 567-8930',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_top_contact',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );

    $fields[] = array(
        'type'        => 'text',
        'settings'    => 'andaman_top_contact_hours',
        'label'       => __( 'Hours', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => 'Mon-Sut: 10 AM-8 PM',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_top_contact',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );

    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'andaman_menu_search',
        'label'       => __( 'Search', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => false,
        'priority'    => 10,
        'choices'     => array(
            'on'  => esc_attr__( 'Enable', 'andaman' ),
            'off' => esc_attr__( 'Disable', 'andaman' ),
        ),
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_style',
                'operator' => '==',
                'value'    => 'style1',
            ),
        ),
    );


    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'andaman_menu_soc',
        'label'       => __( 'Social Link', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => false,
        'priority'    => 10,
        'choices'     => array(
            'on'  => esc_attr__( 'Enable', 'andaman' ),
            'off' => esc_attr__( 'Disable', 'andaman' ),
        ),
    );

  
     $fields[] = array(
        'type'        => 'text',
        'settings'     => 'andaman_menu_soc_facebook',
        'label'       => __( 'Facebook', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => 'https://facebook.com/',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_soc',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );

     $fields[] = array(
        'type'        => 'text',
        'settings'     => 'andaman_menu_soc_twitter',
        'label'       => __( 'Twitter', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => 'https://twitter.com/',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_soc',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );
     $fields[] = array(
        'type'        => 'text',
        'settings'     => 'andaman_menu_soc_dribbble',
        'label'       => __( 'Dribbble', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => '',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_soc',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );

     $fields[] = array(
        'type'        => 'text',
        'settings'     => 'andaman_menu_soc_instagram',
        'label'       => __( 'Instagram', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => '',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_soc',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );

     $fields[] = array(
        'type'        => 'text',
        'settings'     => 'andaman_menu_soc_tumblr',
        'label'       => __( 'Tumblr', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => '',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_soc',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );

     $fields[] = array(
        'type'        => 'text',
        'settings'     => 'andaman_menu_soc_youtube',
        'label'       => __( 'YouTube', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => '',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_soc',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );


     $fields[] = array(
        'type'        => 'text',
        'settings'     => 'andaman_menu_soc_googleplus',
        'label'       => __( 'Google Plus', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => 'https://plus.google.com/',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_soc',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );

     $fields[] = array(
        'type'        => 'text',
        'settings'     => 'andaman_menu_soc_linkedin',
        'label'       => __( 'LinkedIn', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => 'https://linkedin.com/',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_soc',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );

     $fields[] = array(
        'type'        => 'text',
        'settings'     => 'andaman_menu_soc_vk',
        'label'       => __( 'VK', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => '',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_soc',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );

     $fields[] = array(
        'type'        => 'text',
        'settings'     => 'andaman_menu_soc_behance',
        'label'       => __( 'Behance', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => '',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_soc',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );


     $fields[] = array(
        'type'        => 'text',
        'settings'     => 'andaman_menu_soc_pinterest',
        'label'       => __( 'Pinterest', 'andaman' ),
        'section'     => 'andaman_header_section',
        'default'     => '',
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_soc',
                'operator' => '==',
                'value'    => true,
            ),
        ),
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'andaman_language',
        'label'       => __( 'Language Switcher', 'andaman' ),
        'section'     => 'andaman_header_section',
        'description' => __( 'For activate switcher, please install <a href="https://wordpress.org/plugins/polylang/" target="_blank">Polylang</a> plugin.', 'andaman' ),
        'default'     => false,
        'priority'    => 10,
        'active_callback'  => array(
            array(
                'setting'  => 'andaman_menu_style',
                'operator' => '==',
                'value'    => 'style1',
            ),
        ),
    );
?>