<?php 
add_shortcode('andaman_services_button', 'andaman_services_button_f');
function andaman_services_button_f( $atts, $content = null)
{

	extract(shortcode_atts(
		array(
			'display' => 'block',
			'color' => 'blue',
			'andaman_text' => 'Read More',
			'andaman_href' => '#',
			'andaman_custom' => null,
			'andaman_custom_color' => null,
			'andaman_size' => 'large',
			'align' => 'left',
			'target' => null,
		), $atts)
	);

	if ($target) $target = 'target="_blank"';

		if($display =="block"){
			$output ='<div class="btn-shortcode" style="text-align:'. esc_attr($align) .'">';
		} else {
			$output ='<div class="btn-shortcode" style="display:inline-block;text-align:'. esc_attr($align) .'">';
		};
		if($color =="blue"){
			if($andaman_size =="large") {

				$output .='<a href="'. esc_url($andaman_href) .'" '. esc_attr($target) .' class="btn btn-blue btn-lg">'. esc_attr($andaman_text) .'</a>';

			} elseif($andaman_size =="medium") {

				$output .='<a href="'. esc_url($andaman_href) .'" '. esc_attr($target) .' class="btn btn-blue btn-md">'. esc_attr($andaman_text) .'</a>';
				
			} elseif($andaman_size =="small") {

				$output .='<a href="'. esc_url($andaman_href) .'" '. esc_attr($target) .' class="btn btn-blue btn-xs">'. esc_attr($andaman_text) .'</a>';

			};
		} elseif($color =="dark") {
			if($andaman_size =="large"){
				$output .='<a href="'. esc_url($andaman_href) .'" '. esc_attr($target) .' class="btn btn-dark btn-lg">'. esc_attr($andaman_text) .'</a>';
			} else {
				$output .='<a href="'. esc_url($andaman_href) .'" '. esc_attr($target) .' class="btn btn-dark btn-xs">'. esc_attr($andaman_text) .'</a>';
			};
		} elseif($color =="white") {
			if($andaman_size =="large"){
				$output .='<a href="'. esc_url($andaman_href) .'" '. esc_attr($target) .' class="btn btn-white btn-lg">'. esc_attr($andaman_text) .'</a>';
			} else {
				$output .='<a href="'. esc_url($andaman_href) .'" '. esc_attr($target) .' class="btn btn-white btn-xs">'. esc_attr($andaman_text) .'</a>';
			};
		} elseif($color =="transparent") {
			if($andaman_size =="large"){
				$output .='<a href="'. esc_url($andaman_href) .'" '. esc_attr($target) .' class="btn btn-border btn-lg">'. esc_attr($andaman_text) .'</a>';
			} else {
				$output .='<a href="'. esc_url($andaman_href) .'" '. esc_attr($target) .' class="btn btn-border btn-xs">'. esc_attr($andaman_text) .'</a>';
			};
		} elseif($color =="custom") {
			if($andaman_size =="large"){
				$output .='<a href="'. esc_url($andaman_href) .'" '. esc_attr($target) .' class="btn btn-white btn-lg" style="background-color:'. esc_attr($andaman_custom) .';color:'. esc_attr($andaman_custom_color) .'">'. esc_attr($andaman_text) .'</a>';
			} else {
				$output .='<a href="'. esc_url($andaman_href) .'" '. esc_attr($target) .' class="btn btn-white btn-xs" style="background-color:'. esc_attr($andaman_custom) .';color:'. esc_attr($andaman_custom_color) .'">'. esc_attr($andaman_text) .'</a>';
			};
		};
	$output .='</div>';
	return $output;
};

vc_map( array(
	"name" => __("Button",'andaman'),
	"base" => "andaman_services_button",
	"category" => __('Andaman','andaman'),
	"params" => array(
		array(
			"type" => "dropdown",
			"heading" => __("Display", 'andaman'),
			"param_name" => "display",
	        'value' => array(
	            __( 'Block', 'andaman' ) => 'block',
	            __( 'Inline-Block', 'andaman' ) => 'inline-block',
	        ),
	        "std" => "Block",
	        "admin_label" => true,
		),
		array(
			"type" => "textfield",
			"param_name" => "andaman_text",
			"heading" => __("Text", 'andaman'),
			"value" => 'Read More',
			"admin_label" => true,
		),
		array(
			"type" => "textfield",
			"param_name" => "andaman_href",
			"heading" => __("Link", 'andaman'),
			"value" => '#',
			"admin_label" => true,
		),
		array(
			"type" => "dropdown",
			"heading" => __("Color", 'andaman'),
			"param_name" => "color",
	        'value' => array(
	            __( 'Blue', 'andaman' ) => 'blue',
	            __( 'White', 'andaman' ) => 'white',
	            __( 'Dark', 'andaman' ) => 'dark',
	            __( 'Transparent', 'andaman' ) => 'transparent',
	            __( 'Custom', 'andaman' ) => 'custom',
	        ),
	        "std" => "Blue",
	        "admin_label" => true,
		),
	    array(
			"type" => "colorpicker",
			"param_name" => "andaman_custom",
    		"dependency" => array(
        		"element" => "color",
        		"value" => "custom"
    		),
  			"heading" => __("Background color", 'andaman'),
    		"admin_label" => true,
	    ),
	    array(
			"type" => "colorpicker",
			"param_name" => "andaman_custom_color",
    		"dependency" => array(
        		"element" => "color",
        		"value" => "custom"
    		),
  			"heading" => __("Text color", 'andaman'),
    		"admin_label" => true,
	    ),
		array(
			"type" => "dropdown",
			"heading" => __("Size", 'andaman'),
			"param_name" => "andaman_size",
	        'value' => array(
	            __( 'Large', 'andaman' ) => 'large',
	            __( 'Medium', 'andaman' ) => 'medium',
	           	__( 'Small', 'andaman' ) => 'small',
	        ),
	        "std" => "Large",
	        "admin_label" => true,
		),
		array(
			"type" => "dropdown",
			"heading" => __("Align", 'andaman'),
			"param_name" => "align",
	        'value' => array(
	            __( 'Left', 'andaman' ) => 'left',
	           	__( 'Center', 'andaman' ) => 'center',
	           	__( 'Right', 'andaman' ) => 'right',
	        ),
	        "std" => "Left",
	        "admin_label" => true,
		),
		array(
    		"type" => "checkbox",
    		"heading" => __("Open in new window", 'andaman'),
    		"param_name" => "target",
			"value" => array("Yes" => true),
		    "admin_label" => true,
 		),
	)
) 
);