<?php 
add_shortcode('andaman_circle', 'andaman_circle_f');
function andaman_circle_f( $atts, $content = null)
{

	extract(shortcode_atts(
		array(
			'andaman_title' => 'Marketing',
			'andaman_think' => '5',
			'andaman_value' => '0.85',
			'andaman_color_1' => '#21D4FD',
			'andaman_color_2' => '#4cafe1',
			'andaman_color_empty' => '#F9FAFC',
			'white' => null,
			"css" => null,
		), $atts)
	);

	if ($white) $white = 'white';

	$output ='<div class="progress-circle '. esc_attr($white) .'">
				<div data-thickness="'. esc_attr($andaman_think) .'" data-value="'. esc_attr($andaman_value) .'" class="circle"><span></span></div>
              	<div class="agenda">'. esc_attr($andaman_title) .'</div>
            </div>';
	$output .='
		<script>
(function($){
    "use strict";
		$(document).ready(function() {
		$(".circle").circleProgress({
			size: 120,
			startAngle: 300,
			fill: {
				gradient: ["'.$andaman_color_1.'", "'.$andaman_color_2.'"]
			},
			emptyFill: "'.$andaman_color_empty.'",
			animation : {duration: 4000, easing: "easeInOutQuint"},
			}).on("circle-animation-progress", function (event, progress, stepValue) {
				$(this).find("span").text((stepValue * 100).toFixed(1));
		});
	});
})(jQuery);
		</script>';
	return $output;
};


vc_map( array(
	"name" => __("Animated Circle",'andaman'),
	"base" => "andaman_circle",
	"category" => __('Andaman','andaman'),
	"params" => array(
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_title",
			"heading" => __("Icon", 'andaman'),
			"value" => 'Marketing',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_think",
			"heading" => __("Level of thinkness", 'andaman'),
			"value" => '5',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_value",
			"heading" => __("Value", 'andaman'),
			"value" => '0.85',
			"description" => __( 'From 0.1 to 1', 'andaman' ),
		),
		array(
			"type" => "colorpicker",
			"admin_label" => true,
			"param_name" => "andaman_color_1",
			"heading" => __("Gradient Color #1", 'andaman'),
            "value" => '#21D4FD', 
		),
		array(
			"type" => "colorpicker",
			"admin_label" => true,
			"param_name" => "andaman_color_2",
			"heading" => __("Gradient Color #2", 'andaman'),
            "value" => '#4cafe1', 
		),
		array(
			"type" => "colorpicker",
			"admin_label" => true,
			"param_name" => "andaman_color_empty",
			"heading" => __("Empty Fill Color", 'andaman'),
            "value" => '#F9FAFC', 
		),
        array(
			"type" => "checkbox",
			"admin_label" => true,
			"heading" => __("White fonts", 'andaman'),
			"param_name" => "white",
			"value" => array("Yes" => true),
		),
	)
) );