<?php 
/*Fun Facts*/
add_shortcode('andaman_fun', 'andaman_fun_f');
function andaman_fun_f( $atts, $content = null)
{

	extract(shortcode_atts(
		array(
			'andaman_fun_style' => 'Modern',
			'andaman_fun_text' => 'Themes Released',
			'andaman_fun_icon' => 'flaticon-like',
			'andaman_fun_count' => '29',
			'andaman_fun_count_delay' => '5',
			'andaman_fun_count_increment' => '1',
			'white' => null,
			"css" => null
		), $atts)
	);

	if ($white) $white = 'white';


	if ($andaman_fun_style == 'Modern') {

		$output ='<div class="stats-block stats-top">
	                    <div class="stats-desc '. esc_attr($white) .'">
		                    <div class="stats-icon"><i class="'. esc_attr($andaman_fun_icon) .'"></i></div>
		                    <div class="stats-number number-counter"><h2 data-min="0" data-max="'. esc_attr($andaman_fun_count) .'" data-delay="'. esc_attr($andaman_fun_count_delay) .'" data-increment="'. esc_attr($andaman_fun_count_increment) .'" class="numscroller">0</h2></div>
		                    <p>'. esc_attr($andaman_fun_text) .'</p>
	                    </div>
	                </div>';
		return $output;

	} else {

		$output ='<div class="stats-block stats-top style2 text-center">
	                    <div class="stats-desc '. esc_attr($white) .'">
		                    <div class="stats-number number-counter">
		                    	<h1 data-min="0" data-max="'. esc_attr($andaman_fun_count) .'" data-delay="'. esc_attr($andaman_fun_count_delay) .'" data-increment="'. esc_attr($andaman_fun_count_increment) .'" class="numscroller">0</h1>
		                    </div>
		                    <span class="stats-line"></span>
		                    <p>'. esc_attr($andaman_fun_text) .'</p>
	                    </div>
	                </div>';
		return $output;
	}

};
				

/*Fun Facts*/
vc_map( array(
	"name" => __("Fun Facts",'andaman'),
	"base" => "andaman_fun",
	"category" => __('Andaman','andaman'),
	"params" => array(
		array(
			"type" => "dropdown",
			"heading" => __("Type", 'andaman'),
			"param_name" => "andaman_fun_style",
	        'value' => array(
	            __( 'Modern', 'andaman' ) => 'modern',
	            __( 'Simple', 'andaman' ) => 'simple',
	        ),
	        "admin_label" => true,
		),
		array(
			"type" => "textfield",
			"param_name" => "andaman_fun_text",
			"heading" => __("Text", 'andaman'),
			"value" => 'Themes Released',
			"admin_label" => true,
		),
		array(
			"type" => "textfield",
			"param_name" => "andaman_fun_icon",
			"heading" => __("Icon", 'andaman'),
			"value" => 'flaticon-like',
    		"dependency" => array(
        		"element" => "andaman_fun_style",
        		"value" => "modern"
    		),
			"admin_label" => true,
		),
		array(
			"type" => "textfield",
			"param_name" => "andaman_fun_count",
			"heading" => __("Count", 'andaman'),
			"value" => '29',
			"admin_label" => true,
		),	
		array(
			"type" => "textfield",
			"param_name" => "andaman_fun_count_delay",
			"heading" => __("Delay (speed)", 'andaman'),
			"value" => '5',
			"admin_label" => true,
		),
		array(
			"type" => "textfield",
			"param_name" => "andaman_fun_count_increment",
			"heading" => __("Increment", 'andaman'),
			"value" => '1',
			"admin_label" => true,
		),
		array(
    		"type" => "checkbox",
    		"heading" => __("White fonts", 'andaman'),
    		"param_name" => "white",
			"value" => array("Yes" => true),
			"admin_label" => true,
 		),	
	)
) );