<?php 
/*Pricing Tables*/
add_shortcode('andaman_pricing_tables', 'andaman_pricing_tables_f');
function andaman_pricing_tables_f( $atts, $content = null)
{

	extract(shortcode_atts(
		array(
			'andaman_pricing_tables_name' => 'Free',
			'andaman_pricing_tables_price' => '7',
			'andaman_pricing_tables_currency' => '$',
			'andaman_pricing_tables_date' => 'day',
			'andaman_pricing_tables_desc1' => '24/7 Tech Support',
			'andaman_pricing_tables_desc2' => '80 GB Storage',
			'andaman_pricing_tables_desc3' => '1 GB Bandwidth',
			'andaman_pricing_tables_desc4' => '100 GB Storage',
			'andaman_pricing_tables_button_a' => '#',
			'andaman_pricing_tables_button' => 'Get Started',
			'best' => null,
			"css" => null
		), $atts)
	);
	
	if ($best) $best = 'best';

	$output ='<div class="pricing_tables_wrap '. esc_attr($best) .'">
                	<div class="pricing_tables_name"><h2>'. esc_attr($andaman_pricing_tables_name) .'</h2></div>
                	<div class="pricing_tables_price"><span>'. esc_attr($andaman_pricing_tables_currency) .'</span>'. esc_attr($andaman_pricing_tables_price) .'<i>/ '. esc_attr($andaman_pricing_tables_date) .'</i></div>
                	<div class="pricing_tables_desc">
                		<ul>
                			<li>'. esc_attr($andaman_pricing_tables_desc1) .'</li>
                			<li>'. esc_attr($andaman_pricing_tables_desc2) .'</li>
                			<li>'. esc_attr($andaman_pricing_tables_desc3) .'</li>
                			<li>'. esc_attr($andaman_pricing_tables_desc4) .'</li>
                		</ul>
                	</div>
                	<a class="btn btn-md btn-blue" href="'. esc_url($andaman_pricing_tables_button_a) .'" target="_blank">'. esc_attr($andaman_pricing_tables_button) .'</a>
              </div>';
	return $output;

};

vc_map( array(
	"name" => __("Pricing Tables",'andaman'),
	"base" => "andaman_pricing_tables",
	"category" => __('Andaman','andaman'),
	"params" => array(
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_pricing_tables_name",
			"heading" => __("Name", 'andaman'),
			"value" => 'Free',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_pricing_tables_price",
			"heading" => __("Price", 'andaman'),
			"value" => '7',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_pricing_tables_currency",
			"heading" => __("Сurrency", 'andaman'),
			"value" => '$',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_pricing_tables_date",
			"heading" => __("Time", 'andaman'),
			"value" => 'Day',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_pricing_tables_desc1",
			"heading" => __("Value 1", 'andaman'),
			"value" => '24/7 Tech Support',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_pricing_tables_desc2",
			"heading" => __("Value 2", 'andaman'),
			"value" => '80 GB Storage',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_pricing_tables_desc3",
			"heading" => __("Value 3", 'andaman'),
			"value" => '1 GB Bandwidth',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_pricing_tables_desc4",
			"heading" => __("Value 4", 'andaman'),
			"value" => '100 GB Storage',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_pricing_tables_button_a",
			"heading" => __("Button Link", 'andaman'),
			"value" => '#',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "andaman_pricing_tables_button",
			"heading" => __("Button", 'andaman'),
			"value" => 'Get Started',
		),
        array(
			"type" => "checkbox",
			"admin_label" => true,
			"heading" => __("Best Options", 'andaman'),
			"param_name" => "best",
			"value" => array("Yes" => true),
		),	
	)
) );




