<?php 
add_shortcode('andaman_process', 'andaman_process_f');
function andaman_process_f( $atts, $content = null)
{
    extract(shortcode_atts(
        array(
            'andaman_number_1' => "01",
            'andaman_icon_1' => "flaticon-compose",
            'andaman_text_1' => "Sketching",
            'andaman_number_2' => "02",
            'andaman_icon_2' => "flaticon-controls-4",
            'andaman_text_2' => "Designing",
            'andaman_number_3' => "03",
            'andaman_icon_3' => "flaticon-settings-3",
            'andaman_text_3' => "Reviewing",
            'andaman_number_4' => "04",
            'andaman_icon_4' => "flaticon-paper-plane-1",
            'andaman_text_4' => "Lauching",
        ), $atts)
    );

    
    $output = '<div class="row">';
        $output .='<div class="col-md-3">';
            $output .='<div class="process-circle-wrap"><span></span>';
                $output .='<div class="process-circle">';
                    $output .='<div class="process-circle-icon"><i class="'. esc_attr($andaman_icon_1) .'"></i></div>';
                    $output .='<div class="process-circle-text"><h3>'. esc_attr($andaman_text_1) .'</h3></div>';
                    $output .='<div class="process-circle-num">'. esc_attr($andaman_number_1) .'</div>';
                $output .='</div>';
            $output .='</div>';
        $output .='</div>';
        $output .='<div class="col-md-3">';
            $output .='<div class="process-circle-wrap"><span></span>';
                $output .='<div class="process-circle">';
                    $output .='<div class="process-circle-icon"><i class="'. esc_attr($andaman_icon_2) .'"></i></div>';
                    $output .='<div class="process-circle-text"><h3>'. esc_attr($andaman_text_2) .'</h3></div>';
                    $output .='<div class="process-circle-num">'. esc_attr($andaman_number_2) .'</div>';
                $output .='</div>';
            $output .='</div>';
        $output .='</div>';
        $output .='<div class="col-md-3">';
            $output .='<div class="process-circle-wrap"><span></span>';
                $output .='<div class="process-circle">';
                    $output .='<div class="process-circle-icon"><i class="'. esc_attr($andaman_icon_3) .'"></i></div>';
                    $output .='<div class="process-circle-text"><h3>'. esc_attr($andaman_text_3) .'</h3></div>';
                    $output .='<div class="process-circle-num">'. esc_attr($andaman_number_3) .'</div>';
                $output .='</div>';
            $output .='</div>';
        $output .='</div>';
        $output .='<div class="col-md-3">';
            $output .='<div class="process-circle-wrap"><span></span>';
                $output .='<div class="process-circle">';
                    $output .='<div class="process-circle-icon"><i class="'. esc_attr($andaman_icon_4) .'"></i></div>';
                    $output .='<div class="process-circle-text"><h3>'. esc_attr($andaman_text_4) .'</h3></div>';
                    $output .='<div class="process-circle-num">'. esc_attr($andaman_number_4) .'</div>';
                $output .='</div>';
            $output .='</div>';
        $output .='</div>';
    $output .='</div>';

    return $output;
};

vc_map( array(
    "name" => __("Our Process", 'andaman'),
    "base" => "andaman_process",
    "icon" => "andaman_icon_1_dropcap",
    "category" => __('Andaman','andaman'),
    "params" => array( 
        array(
            "type" => "textfield",
            "param_name" => "andaman_number_1",
            "heading" => __("Number", 'andaman'),
            "value" => "01", 
            "group" => "1t Step", 
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_icon_1",
            "heading" => __("Icon", 'andaman'),
            "value" => "flaticon-compose", 
            "group" => "1t Step", 
            "admin_label" => true,
            'description' => __( 'Select icon from <a href="https://dankov-themes.com/icon/andaman/" target="_blank">here</a> or <a href="https://fontawesome.com/icons" target="_blank">here</a>', 'andaman' ),
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_text_1",
            "heading" => __("Text", 'andaman'),
            "value" => "Sketching", 
            "group" => "1t Step", 
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_number_2",
            "heading" => __("Number", 'andaman'),
            "value" => "02", 
            "group" => "2d Step",
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_icon_2",
            "heading" => __("Icon", 'andaman'),
            "value" => "flaticon-controls-4", 
            "group" => "2d Step",
            "admin_label" => true,
            'description' => __( 'Select icon from <a href="https://dankov-themes.com/icon/andaman/" target="_blank">here</a> or <a href="https://fontawesome.com/icons" target="_blank">here</a>', 'andaman' ),
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_text_2",
            "heading" => __("Text", 'andaman'),
            "value" => "Designing", 
            "group" => "2d Step",
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_number_3",
            "heading" => __("Number", 'andaman'),
            "value" => "03", 
            "group" => "3th Step",
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_icon_3",
            "heading" => __("Icon", 'andaman'),
            "value" => "flaticon-settings-3", 
            "group" => "3th Step",
            "admin_label" => true,
            'description' => __( 'Select icon from <a href="https://dankov-themes.com/icon/andaman/" target="_blank">here</a> or <a href="https://fontawesome.com/icons" target="_blank">here</a>', 'andaman' ),
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_text_3",
            "heading" => __("Text", 'andaman'),
            "value" => "Reviewing", 
            "group" => "3th Step",
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_number_4",
            "heading" => __("Number", 'andaman'),
            "value" => "04", 
            "group" => "4th Step",
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_icon_4",
            "heading" => __("Icon", 'andaman'),
            "value" => "flaticon-paper-plane-1", 
            "group" => "4th Step",
            "admin_label" => true,
            'description' => __( 'Select icon from <a href="https://dankov-themes.com/icon/andaman/" target="_blank">here</a> or <a href="https://fontawesome.com/icons" target="_blank">here</a>', 'andaman' ),
        ),
        array(
            "type" => "textfield",
            "param_name" => "andaman_text_4",
            "heading" => __("Text", 'andaman'),
            "value" => "Lauching", 
            "group" => "4th Step",
            "admin_label" => true,
        ),
    ),
) 
);