<?php
add_shortcode('vc_image_slider', 'vc_image_slider_f');
function vc_image_slider_f( $atts, $content = null)
{
	extract(shortcode_atts(
		array(
			'type_cont' => 'Image',
			'slider_image' => null,
			'slider_icon' => 'flaticon-play-button',
			'slider_icon_size' => '60px',
			'slider_icon_line_height' => '120px',
		), $atts)
	);

    $image = wp_get_attachment_image_src($slider_image, true);
    $image = $image[0];

    if($type_cont =="Image"){
		$output ='<p><img src="'. esc_url($image) .'" alt=""></p>';
	} else {
		$output ='<i class="'. esc_attr($slider_icon) .'" style="font-size: '. esc_attr($slider_icon_size) .'; line-height: '. esc_attr($slider_icon_line_height) .';"></i>';
	};
	return $output;
};

vc_map( array(
	"name" => __("Image/Icon Item",'andaman'),
	"base" => "vc_image_slider",
    "content_element" => true,
    "as_child" => array('only' => 'andaman_hero_image, andaman_hero_video'), // Use only|except attributes to limit parent (separate multiple values with comma)
	"category" => __('Headers','andaman'),
	"params" => array(
		array(
			"type" => "dropdown",
			"heading" => __("Type", 'andaman'),
			"param_name" => "type_cont",
	        'value' => array(
	            __( 'Image', 'andaman' ) => 'image',
	            __( 'Icon', 'andaman' ) => 'icon',
	        ),
	        "admin_label" => true,

		),
		array(
			"type" => "attach_image",
			"param_name" => "slider_image",
			"heading" => __("Image", 'andaman'),
    		"dependency" => array(
        		"element" => "type_cont",
        		"value" => "image"
    		),
    		"admin_label" => true,
		),
		array(
			"type" => "textfield",
			"param_name" => "slider_icon",
			"heading" => __("Icon", 'andaman'),
			"value" => 'flaticon-play-button',
			'description' => __( 'Select icon from <a href="https://dankov-themes.com/icon/andaman/" target="_blank">here</a> or <a href="http://fontawesome.io/icons/" target="_blank">here</a>', 'andaman' ),
    		"dependency" => array(
        		"element" => "type_cont",
        		"value" => "icon"
    		),
    		"admin_label" => true,
		),
		array(
			"type" => "textfield",
			"param_name" => "slider_icon_size",
			"heading" => __("Icon Size in px", 'andaman'),
			"value" => '60px',
    		"dependency" => array(
        		"element" => "type_cont",
        		"value" => "icon"
    		),
    		"admin_label" => true,
		),
		array(
			"type" => "textfield",
			"param_name" => "slider_icon_line_height",
			"heading" => __("Line Height in px", 'andaman'),
			"value" => '120px',
    		"dependency" => array(
        		"element" => "type_cont",
        		"value" => "icon"
    		),
    		"admin_label" => true,
		),	
	)
) );