<?php
add_shortcode('vc_slide_slider', 'vc_slide_slider_f');
function vc_slide_slider_f( $atts, $content = null)
{
	extract(shortcode_atts(
		array(
			'andaman_image' => null,
			'andaman_type' => 'video',
			'andaman_video_link' => 'https://vimeo.com/153485166',
			'andaman_video_buttons_one' => 'Who We Are',
			'andaman_video_buttons_two' => 'Contacts Us',
			'andaman_video_buttons_one_href' => '#about',
			'andaman_video_buttons_two_href' => '#contact',
			'andaman_mouse' => true,
			'andaman_video_mouse_href' => '#about',
			'andaman_sub_title' => 'Responsive Business Theme',
			'andaman_title' => 'Business Startup',
		), $atts)
	);

    $image = wp_get_attachment_image_src($andaman_image, true);
    $image = $image[0];

    $output ='<div class="item">
          		<div style="background-image:url('. esc_url($image) .');" class="fill">
		            <div class="intro-body">';
						if($andaman_type == 'video'){
					        $output .='<a href="'. esc_url($andaman_video_link) .'" data-rel="video" class="swipebox-video">
					            			<i class="icon-big flaticon-play-button-1 wow fadeInUp"></i>
					            		</a>
					                	<h1 class="wow fadeInDown">'.esc_attr($andaman_title).'</h1>
					                	<h2 class="wow fadeInUp">'.esc_attr($andaman_sub_title).'</h2>';
						} elseif ($andaman_type == 'buttons')  {
							$output .='<h2 class="wow fadeInUp">'.esc_attr($andaman_sub_title).'</h2>
					              		<h1 class="wow fadeInDown">'.esc_attr($andaman_title).'</h1>
							              <ul class="list-inline lead">
							                <li><a href="'.esc_attr($andaman_video_buttons_one_href).'" class="btn btn-blue btn-lg page-scroll wow fadeInLeft"> '.esc_attr($andaman_video_buttons_one).'</a></li>
							                <li><a href="'.esc_attr($andaman_video_buttons_two_href).'" class="btn btn-white btn-lg page-scroll wow fadeInRight"> '.esc_attr($andaman_video_buttons_two).'</a></li>
							              </ul>';
						} elseif ($andaman_type == 'standard')  {
					        $output .='<h2 data-wow-delay=".4s" class="wow fadeInUp">'.esc_attr($andaman_sub_title).'</h2>
					              <h1 class="wow fadeInDown">'.esc_attr($andaman_title).'</h1>';
					              if($andaman_mouse == true){$output .='<div data-wow-delay="1s" class="scroll-btn hidden-xs wow fadeInDown"><a href="'.esc_attr($andaman_video_mouse_href).'" class="page-scroll"><span class="mouse"><span class="weel"><span></span></span></span></a></div>';};
					    };
		$output .='</div>
          		</div>
        	</div>';

	return $output;
};

        
vc_map( array(
	"name" => __("Slider Item",'andaman'),
	"base" => "vc_slide_slider",
    "content_element" => true,
    "as_child" => array('only' => 'andaman_hero_slider'),
	"category" => __('Headers','andaman'),
	"params" => array(
	    array(
			"type" => "attach_image",
			"param_name" => "andaman_image",
			"heading" => __("Image", 'andaman'),
			"value" => '',
            //"admin_label" => true,
	    ),	
        array(
            "type" => "textfield",
    		"heading" => __("Title", 'andaman'),
            "param_name" => "andaman_title",
            "value" => 'Business Startup', 
            //"admin_label" => true,
        ),
        array(
            "type" => "textfield",
    		"heading" => __("Sub Title", 'andaman'),
            "param_name" => "andaman_sub_title",
            "value" => 'Responsive Business Theme', 
            //"admin_label" => true,
        ),
        array(
            "type" => "textfield",
    		"heading" => __("Video Url", 'andaman'),
            "param_name" => "andaman_video_link",
            "value" => 'https://vimeo.com/153485166', 
    		"dependency" => array(
        		"element" => "andaman_type",
        		"value" => 'video',
    		),
            //"admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "heading" => __("Button Title", 'andaman'),
            "param_name" => "andaman_video_buttons_one",
            "value" => 'Who We Are', 
    		"dependency" => array(
        		"element" => "andaman_type",
        		"value" => 'buttons',
    		),
            //"admin_label" => true,
        ),
        array(
            "type" => "textfield",
    		"heading" => __("Button Href", 'andaman'),
            "param_name" => "andaman_video_buttons_one_href",
            "value" => '#about', 
    		"dependency" => array(
        		"element" => "andaman_type",
        		"value" => 'buttons',
    		),
            //"admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "heading" => __("Button Title", 'andaman'),
            "param_name" => "andaman_video_buttons_two",
            "value" => 'Contacts Us', 
    		"dependency" => array(
        		"element" => "andaman_type",
        		"value" => 'buttons',
    		),
            //"admin_label" => true,
        ),
        array(
            "type" => "textfield",
    		"heading" => __("Button Href", 'andaman'),
            "param_name" => "andaman_video_buttons_two_href",
            "value" => '#contact', 
    		"dependency" => array(
        		"element" => "andaman_type",
        		"value" => 'buttons',
    		),
            //"admin_label" => true,
        ),
		array(
    		"type" => "checkbox",
    		"heading" => __("Animate Mouse", 'andaman'),
    		"param_name" => "andaman_mouse",
			"value" => array("Yes" => true),
			//"std" => true,
    		"dependency" => array(
        		"element" => "andaman_type",
        		"value" => 'standard',
    		),
            //"admin_label" => true,
 		),
        array(
            "type" => "textfield",
    		"heading" => __("Animate Mouse Href", 'andaman'),
            "param_name" => "andaman_video_mouse_href",
            "value" => '#about', 
    		"dependency" => array(
        		"element" => "andaman_type",
        		"value" => 'standard',
    		),
            //"admin_label" => true,
        ),
		array(
			"type" => "dropdown",
			"heading" => __("Slide", 'andaman'),
			"param_name" => "andaman_type",
	        'value' => array(
	            __( 'Video Type', 'andaman' ) => 'video',
	            __( 'Button Type', 'andaman' ) => 'buttons',
	            __( 'Standard Type', 'andaman' ) => 'standard',
	        ),
            "admin_label" => true,
		),		
	)
) );