<?php 
/*Promo Title*/
add_shortcode('andaman_promo', 'andaman_promo_f');
function andaman_promo_f( $atts, $content = null)
{

	extract(shortcode_atts(
		array(
			'andaman_promo_text' => 'Our Services',
			'andaman_content' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla convallis pulvinar vestibulum. Doneceleifend, sem sed dictum. Lorem ipsum dolor sit amet, consectetur adipiscing elits the much that much more toward.',
			'type_cont' => 'line',
			'type_icons' => 'fas fa-quote-right',
			'center' => null,
			'white' => null,
		), $atts)
	);
	
	if ($center) $center = 'center';
	if ($white) $white = 'white';

	$output ='<div class="promo-block '. esc_attr($center) .' '. esc_attr($white) .'">
				<h1 class="title-p-line">'. $andaman_promo_text .'';
				if($type_cont == "line"){

					$output .='<span class="promo-line"></span></h1>';

				} elseif ($type_cont == "icon") {

					$output .='<span class="promo-icon"><i class="'. esc_attr($type_icons) .'"></i></span></h1>';

				} elseif ($type_cont == "none") {

					$output .='</h1>';

				};
	            if ($andaman_content == true){ $output .='<p>'. esc_attr($andaman_content) .'</p>';}
            $output .='</div>';
	return $output;


};

/*Promo Title*/
vc_map( array(
	"name" => __("Promo Title",'andaman'),
	"base" => "andaman_promo",
	"category" => __('Andaman','andaman'),
	"params" => array(
		array(
			"type" => "textfield",
			"param_name" => "andaman_promo_text",
			"heading" => __("Title", 'andaman'),
			"value" => 'Our Services',
			"admin_label" => true,
		),
		array(
			"type" => "textarea",
			"param_name" => "andaman_content",
			"heading" => __("Paragraph", 'andaman'),
			"value" => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla convallis pulvinar vestibulum. Doneceleifend, sem sed dictum. Lorem ipsum dolor sit amet, consectetur adipiscing elits the much that much more toward.',
			"admin_label" => true,
		),
		array(
			"type" => "dropdown",
			"heading" => __("Separator", 'andaman'),
			"param_name" => "type_cont",
	        'value' => array(
	            __( 'Line', 'andaman' ) => 'line',
	          	__( 'Icon', 'andaman' ) => 'icon',
	          	__( 'None', 'andaman' ) => 'none',
	        ),
	        "admin_label" => true,
		),	
		array(
			"type" => "textfield",
			"param_name" => "type_icons",
			"heading" => __("Icon", 'andaman'),
			"value" => 'fas fa-quote-right',
			'description' => __( 'Select icon from <a href="https://dankov-themes.com/icon/andaman/" target="_blank">here</a> or <a href="https://fontawesome.com/icons" target="_blank">here</a>', 'andaman' ),
    		"dependency" => array(
        		"element" => "type_cont",
        		"value" => "icon"
    		),
		),
        array(
			"type" => "checkbox",
			"heading" => __("White fonts", 'andaman'),
			"param_name" => "white",
			"value" => array("Yes" => true),
			"admin_label" => true,
		),	
        array(
			"type" => "checkbox",
			"heading" => __("Text Center", 'andaman'),
			"param_name" => "center",
			"value" => array("Yes" => true),
			"admin_label" => true,
		),	
	)
) );