<?php 
add_shortcode('andaman_hero_image', 'andaman_hero_image_f');
function andaman_hero_image_f( $atts, $content = null)
{
	extract(shortcode_atts(
		array(
			'type_cont' => 'image',
			'andaman_size' => 'full',
			'andaman_image' => null,
			'andaman_color_1' => '#21D4FD',
			'andaman_color' => '#4CAFE1',
			'andaman_size_height' => '700px',
			"css" => null
		), $atts)
	);

    $image = wp_get_attachment_image_src($andaman_image, true);
    $image = $image[0];


	if($andaman_size == 'full'){
		if($type_cont == 'image'){
			$output ='<div style="background-image:url('. esc_url($image) .') height:100vh !important;" class="intro full">';
			$output .='<div class="intro-body">';
		} else {
			$output ='<div style="background-color: '.$andaman_color.'; background-image: linear-gradient(135deg, '.$andaman_color_1.' 0%, '.$andaman_color.' 75%); height:100vh !important;" class="intro full solid-color">';
			$output .='<div class="intro-body">';
		};
	} else {
		if($type_cont == 'image'){
			$output ='<div style="background-image:url('. esc_url($image) .'); height: '.$andaman_size_height.'; " class="intro jarallax">';
			$output .='<div class="intro-body" style="height: '.$andaman_size_height.';">';
		} else {
			$output ='<div style="background-color: '.$andaman_color.'; background-image: linear-gradient(135deg, '.$andaman_color_1.' 0%, '.$andaman_color.' 75%); height: '.$andaman_size_height.';" class="intro solid-color">';
			$output .='<div class="intro-body" style="height: '.$andaman_size_height.';">';
		};
	};
		$output .='<div class="container">';
        	$output .='<div class="row">';
            	$output .='<div class="col-md-12">'.do_shortcode($content).'</div>';
        	$output .='</div>';
    	$output .='</div>';
    	$output .='</div>';
    $output .='</div>';

	return $output;
};


vc_map( array(
	"name" => __("Hero Image", 'andaman'),
	"base" => "andaman_hero_image",
	"category" => __('Headers', 'andaman'),
    "as_parent" => array('only' => 'vc_title_slider, vc_sub_title_slider, vc_mouse_slider, vc_image_slider, vc_rotate_title, vc_typing_text, vc_button_slider, vc_text_slider, vc_mailchimp_slider, vc_comingsoom_slider, vc_video_slider'),
    "content_element" => true,
	'is_container'    => true,
    "show_settings_on_create" => true,
	"params" => array(
		array(
			"type" => "dropdown",
			"heading" => __("Background Type", 'andaman'),
			"param_name" => "type_cont",
            "admin_label" => true,
	        'value' => array(
	            __( 'Image', 'andaman' ) => 'image',
	            __( 'Color', 'andaman' ) => 'color',
	        ),
		),
	    array(
			"type" => "attach_image",
			"param_name" => "andaman_image",
			"heading" => __("Image", 'andaman'),
			"value" => '',
    		"dependency" => array(
        		"element" => "type_cont",
        		"value" => "image"
    		),
	    ),	
		array(
			"type" => "colorpicker",
			"param_name" => "andaman_color_1",
			"heading" => __("From", 'andaman'),
            "value" => '#21D4FD', 
            "admin_label" => true,
    		"dependency" => array(
        		"element" => "type_cont",
        		"value" => "color"
    		),
		),
		array(
			"type" => "colorpicker",
			"param_name" => "andaman_color",
			"heading" => __("To", 'andaman'),
            "value" => '#4CAFE1', 
            "admin_label" => true,
    		"dependency" => array(
        		"element" => "type_cont",
        		"value" => "color"
    		),
		),
		array(
			"type" => "dropdown",
			"heading" => __("Image Height", 'andaman'),
			"param_name" => "andaman_size",
            "admin_label" => true,
	        'value' => array(
	            __( 'FullScreen', 'andaman' ) => 'full',
	            __( 'Fixed', 'andaman' ) => 'fix',
	        ),
		),
		array(
	        "type" => "textfield",
	        "heading" => __("Height in px", 'andaman'),
	        "param_name" => "andaman_size_height",
	        "value" => '700px', 
            "admin_label" => true,
    		"dependency" => array(
        		"element" => "andaman_size",
        		"value" => "fix"
    		),
		),
	),
    "js_view" => 'VcColumnView'
) );