<?php
add_shortcode('vc_title_slider', 'vc_title_slider_f');
function vc_title_slider_f( $atts, $content = null)
{
	extract(shortcode_atts(
		array(
			'title' => 'Andaman',
			'font' => 'h1',
			'wow' => null,
			'wow_delay' => '0.1',
			'wow_animate' => 'fadeIn',
		), $atts)
	);

	if ($wow) $wow = 'wow';
	$output ='<div class="'. esc_attr($wow) .' '. esc_attr($wow_animate) .'" data-wow-delay="'. esc_attr($wow_delay) .'s">';
	if($font =="h1"){
			$output .='<h1>'.esc_attr($title).'</h1></div>';
		} elseif ($font =="h2") {
			$output .='<h2>'.esc_attr($title).'</h2></div>';
		} elseif ($font =="h3") {
			$output .='<h3>'.esc_attr($title).'</h3></div>';
		} elseif ($font =="h4") {
			$output .='<h4>'.esc_attr($title).'</h4></div>';
		} elseif ($font =="h5") {
			$output .='<h5>'.esc_attr($title).'</h5></div>';
		} elseif ($font =="h6") {
			$output .='<h6>'.esc_attr($title).'</h6></div>';
		};

	return $output;
};

vc_map( array(
	"name" => __("Heading Item",'andaman'),
	"base" => "vc_title_slider",
    "content_element" => true,
    "as_child" => array('only' => 'andaman_hero_image, andaman_hero_video'), // Use only|except attributes to limit parent (separate multiple values with comma)
	"category" => __('Headers','andaman'),
	"params" => array(
		array(
			"type" => "textfield",
			"param_name" => "title",
			"heading" => __("Title", 'andaman'),
			"value" => 'Andaman',
			"admin_label" => true,
		),	
	    array(
	        'type' => 'dropdown',
	        'heading' => __( 'Heading', 'andaman' ),
	        'param_name' => 'font',
	        'value' => array(
	            __( 'H1', 'andaman' ) => 'h1',
	            __( 'H2', 'andaman' ) => 'h2',
	            __( 'H3', 'andaman' ) => 'h3',
	            __( 'H4', 'andaman' ) => 'h4',
	            __( 'H5', 'andaman' ) => 'h5',
	            __( 'H6', 'andaman' ) => 'h6',
	        ),
			'std' => 'h1',
			"admin_label" => true,
	    ),	
		array(
			"type" => "checkbox",
			"heading" => __("Animate", 'andaman'),
			"param_name" => "wow",
			"value" => array("Yes" => true),
            "group" => __("Animation", 'andaman'),
		),
		array(
			"type" => "textfield",
			"heading" => __("Delay", 'andaman'),
			"param_name" => "wow_delay",
			"value" => '0.1',
			"description" => 'in s',
            "group" => __("Animation", 'andaman'),
    		"dependency" => array(
        		"element" => "wow",
        		"value" => "1"
    		),
		),
	    array(
	        'type' => 'dropdown',
	        'heading' => __( 'Animate', 'andaman' ),
	        'param_name' => 'wow_animate',
	        'value' => array(
	            __( 'fadeIn', 'andaman' ) => 'fadeIn',
	            __( 'fadeInUp', 'andaman' ) => 'fadeInUp',
	        ),
			'std' => 'fadeIn',
            "group" => __("Animation", 'andaman'),
    		"dependency" => array(
        		"element" => "wow",
        		"value" => "1"
    		),
	    ),	
	)
) 
);

