<?php //Woocpmmerce


add_action( 'after_setup_theme', 'andaman_woocommerce_support' );
function andaman_woocommerce_support() {
    add_theme_support( 'woocommerce' );
};

if ( class_exists( 'WooCommerce' ) ) {
// Remove the product rating display on product loops
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );
};

add_filter( 'woocommerce_show_page_title' , 'woo_hide_page_title' );
function woo_hide_page_title() {
    return false;
};

function woocommerce_pagination() {
    return false;
};

/**
 * Products per page
 */
if ( ! function_exists( 'andaman_woo_loop_shop_per_page' ) ) {
    function andaman_woo_loop_shop_per_page( $items ) {
        $postID = get_queried_object_id();
        if ( isset( $_GET['andaman_shop_max_posts'] ) ) {
            $items = $_GET['andaman_shop_max_posts'];
            $_COOKIE['andaman_shop_max_posts' . $postID] = $_GET['andaman_shop_max_posts'];
        } elseif ( isset( $_COOKIE['andaman_shop_max_posts' . $postID] ) ) {
            $items = $_COOKIE['andaman_shop_max_posts' . $postID];
        } else {
            $items = get_theme_mod( 'andaman_shop_max_posts' );
        }
        return $items;
    }
}
add_filter( 'loop_shop_per_page', 'andaman_woo_loop_shop_per_page', 20 );

/**
 * Products per row
 */
if ( ! function_exists( 'andaman_woo_products_per_row' ) ) {
    function andaman_woo_products_per_row( $columns ) {
        $columns = get_theme_mod( 'products_per_row');
        return $columns;
    }
}
add_filter( 'loop_shop_columns', 'andaman_woo_products_per_row' );

/**
 * Max upsells Products
 */
if ( ! function_exists( 'andaman_max_upsell_products' ) ) {
    function andaman_max_upsell_products( $args ) {
        $args['posts_per_page'] = 3;
        return $args;
    }
}
add_filter( 'woocommerce_output_related_products_args', 'andaman_max_upsell_products' );

/**
 * Max crossells Products
 */
if ( ! function_exists( 'andaman_max_crosssell_products' ) ) {
    function andaman_max_crosssell_products( $total ) {
        $total = '3';
        return $total;
    }
}
add_filter( 'woocommerce_cross_sells_total', 'andaman_max_crosssell_products' );

/**
 * Max related Products
 */
if ( ! function_exists( 'andaman_related_products_args' ) ) {
    function andaman_related_products_args( $args ) {
        $args['posts_per_page'] = 3;
        return $args;
    }
}
add_filter( 'woocommerce_output_related_products_args', 'andaman_related_products_args' );


add_action('woocommerce_after_shop_loop_item', 'my_print_stars' );


function my_print_stars(){
    global $wpdb;
    global $post;
    $count = $wpdb->get_var("
    SELECT COUNT(meta_value) FROM $wpdb->commentmeta
    LEFT JOIN $wpdb->comments ON $wpdb->commentmeta.comment_id = $wpdb->comments.comment_ID
    WHERE meta_key = 'rating'
    AND comment_post_ID = $post->ID
    AND comment_approved = '1'
    AND meta_value > 0
");

$rating = $wpdb->get_var("
    SELECT SUM(meta_value) FROM $wpdb->commentmeta
    LEFT JOIN $wpdb->comments ON $wpdb->commentmeta.comment_id = $wpdb->comments.comment_ID
    WHERE meta_key = 'rating'
    AND comment_post_ID = $post->ID
    AND comment_approved = '1'
");

if ( $count > 0 ) {

    $average = number_format($rating / $count, 2);


    echo '<span class="star-rating" title="'.sprintf(esc_html__('Rated %s out of 5', 'andaman'), $average).'"><span style="width:'.($average*16).'px"><span itemprop="ratingValue" class="rating">'.$average.'</span> </span></span>';

    }

}
function andaman_woocommerce_image_dimensions() {
    global $pagenow;
 
    if ( ! isset( $_GET['activated'] ) || $pagenow != 'themes.php' ) {
        return;
    }
    $catalog = array(
        'width'     => '500',   // px
        'height'    => '585',   // px
        'crop'      => 0        // true
    );
    $single = array(
        'width'     => '750',   // px
        'height'    => '877',   // px
        'crop'      => 0        // true
    );
    $thumbnail = array(
        'width'     => '150',   // px
        'height'    => '175',   // px
        'crop'      => 0        // false
    );
    // Image sizes
    update_option( 'shop_catalog_image_size', $catalog );       // Product category thumbs
    update_option( 'shop_single_image_size', $single );         // Single product image
    update_option( 'shop_thumbnail_image_size', $thumbnail );   // Image gallery thumbs
}
add_action( 'after_switch_theme', 'andaman_woocommerce_image_dimensions', 1 );




?>